Issue
Hossein
Hossein
Offline
0
I need to install xen 3.1 sources. I try to install it on debian 7. When I try to make world I got this error:
numa.c: In function ‘acpi_parse_slit’:
numa.c:99:6: error: variable ‘localities’ set but not used [-Werror=unused-but-set-variable]
numa.c: In function ‘acpi_parse_srat’:
numa.c:152:26: error: variable ‘srat’ set but not used [-Werror=unused-but-set-variable]


I try to solve it by elmination -Werror in config file. I remove It in two file Config.Mk and minios.mk like this.
HOSTCC     = gcc
HOSTCFLAGS = -Wall -Werror -Wstrict-prototypes -O2 -fomit-frame-pointer


but I still has the same problem and got same error?
anyone knows what should I do??
I
Responses (1)
  • Accepted Answer

    Wednesday, March 19 2014, 02:07 PM - #permalink
    0
    Hi Hossein,

    Is there some reason you are using Xen 3.1 instead of something current (like the brand new 4.4 release)?

    I'm not sure how much testing has been done with the combination of an old Xen Project release and a new Debian release. Unless you have some very specific need to use 3.1 (which isn't even supported by the community anymore), you'd probably do much better with a more recent release.

    Current releases can be downloaded here:

    http://xenproject.org/downloads/xen-archives.html

    Russ
    The reply is currently minimized Show
Your Reply